import request from "@/utils/request";

// 查询基础数据列表
export function listJsaa(query) {
  return request({
    url: "/system/jsaa/list",
    method: "get",
    params: query,
  });
}

// 查询基础数据详细
export function getJsaa(jh) {
  return request({
    url: "/system/jsaa/" + jh,
    method: "get",
  });
}

// 新增基础数据
export function addJsaa(data) {
  return request({
    url: "/system/jsaa",
    method: "post",
    data: data,
  });
}

// 修改基础数据
export function updateJsaa(data) {
  return request({
    url: "/system/jsaa",
    method: "put",
    data: data,
  });
}

// 删除基础数据
export function delJsaa(jh) {
  return request({
    url: "/system/jsaa/" + jh,
    method: "delete",
  });
}
//区块
export function getBlockName(query) {
  return request({
    url: "/system/jsaa/qklist",
    method: "get",
    params: query,
  });
}

//区块下拉框
export function getQkxl(query) {
  return request({
    url: "/system/qkxx/list",
    method: "get",
    params: query,
  });
}

//选择邻井
export function listxzSj(query) {
  return request({
    url: "/system/jsaa/getLjjwList2",
    method: "get",
    params: query,
  });
}
